#include <stdio.h>
#include <stdlib.h>
#include <time.h>

int main(int argc, char *argv[])
{
  FILE *file;
  char *filename = "cstest";
  int processNumber = atoi(argv[argc - 2]);
  int queue = atoi(argv[argc - 1]);
  time_t rawTime;
  char currentTime[12];
  time(&rawTime);
  strftime(currentTime, 12, "%H:%M:%S", localtime(&rawTime));

  if ((file = fopen(filename, "a+")) != NULL)
  {
    // write to file
    // change nn

    fprintf(file, "%s Queue %d File modified by process number %d\n", currentTime, queue, processNumber);
    fclose(file);
  }
  else
  {
    // report error while opening file
    fprintf(stderr, "%s: error: Process %s could not open file %s", argv[0], argv[argc - 1], filename);
  }

  return 0;
}